[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#575593: debian-installer: partitioner unable to format used swap partition

Package: debian-installer
Version: partitioner unable to format used swap partition20100211
Severity: normal

Installing on a virtual machine with a previous fresh installation of debian lenny
with a uniq partition "/" (sda1) and a swap (sda5).

When running the debian squeeze installer, selecting the same configuration (all in a single partition),
the partitioner reports an error while trying to write on sda5. It claims that this partition is in use.

A second run of the partitioner didn't say anything and went to the next step.

I didn't check much, but it seems that the debian-installer use this partition as its swap space.

Solutions would be one of those :
. swapoff the used swap partition before writing changes
. don't try to format the swap partition if it doesn't change between the two installations

I'm not sure about the version number (20100211). I assumed that the testing installation CD was built with this version.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (650, 'testing'), (600, 'unstable'), (10, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Reply to: